## kxmlrpcclient 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KXmlRpcClient)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0 CONFIG )
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

add_definitions(-DTRANSLATION_DOMAIN=\"libkxmlrpcclient5\")
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KXMLRPCCLIENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} CONFIG REQUIRED)

########### Targets ###########
if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(autotests)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlRpcClient")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlRpcClientConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlRpcClientTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlRpcClientTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kxmlrpcclient 5.9.0

=== debian/changelog ===
kxmlrpcclient (5.9.0-0ubuntu2) vivid; urgency=medium

  * Add breaks/replaces on old plasma-workspace for moved .po files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Apr 2015 10:52:30 +0200

kxmlrpcclient (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:25:09 +0200

kxmlrpcclient (5.8.0-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Split from plasma-workspace. kxmlrpcclient is now a framework.

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * usr/share/locale seems to have gone missing.
    - comment out data package as it would be empty. 
  * Remove the depend to empty -data package.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2015 20:55:38 +0100

kxmlrpcclient (5.7.50-0ubuntu1) UNRELEASED; urgency=medium

  * Split from plasma-workspace. kxmlrpcclient is now a framework.
  * Drop epoch as there is no file or package name overlap with the old
    library.

 -- Harald Sitter <sitter@kde.org>  Fri, 13 Feb 2015 10:05:30 +0100

=== debian/control ===
Source: kxmlrpcclient
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               kio-dev (>= 5.9.0),
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kxmlrpcclient.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kxmlrpcclient.git

Package: libkf5xmlrpcclient-dev
Section: libdevel
Architecture: any
Depends: libkf5xmlrpcclient5 (= ${binary:Version}), ${misc:Depends}
Description: development files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5xmlrpcclient-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Breaks: plasma-workspace (<< 4:5.2.2-0ubuntu3)
Replaces: plasma-workspace (<< 4:5.2.2-0ubuntu3)
Description: data files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5xmlrpcclient5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libkf5xmlrpcclient-data (= ${source:Version}),
Description: framework providing an xml rpc client library
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5xmlrpcclient-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kxmlrpcclient
 XML RPC client library.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5xmlrpcclient-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kxmlrpcclient-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kxmlrpcclient-(.*)\.tar\.xz

## kxmlrpcclient 5.15.0

=== debian/changelog ===
kxmlrpcclient (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:58:49 +0100

kxmlrpcclient (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Fix symbols file

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:28:37 +0100

kxmlrpcclient (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:35:08 +0200

kxmlrpcclient (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merrge, remove unused broken backport.
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:11:28 +0200

kxmlrpcclient (5.11.0-1) unstable; urgency=medium 

  [ Jonathan Riddell ]
  * Remove 0001-add-LGPL-file.patch, applied upstream

  [ Maximiliano Curia ]
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 10:56:14 +0200

kxmlrpcclient (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * New upstream patch: 0001-add-LGPL-file.patch

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:35:40 +0200

kxmlrpcclient (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).
  * Add missing Breaks Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:15 +0200

kxmlrpcclient (5.8.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Split from plasma-workspace. kxmlrpcclient is now a framework.

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * usr/share/locale seems to have gone missing.
    - comment out data package as it would be empty.
  * Remove the depend to empty -data package.
  * Split from plasma-workspace. kxmlrpcclient is now a framework.
  * Drop epoch as there is no file or package name overlap with the old
    library.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:32 +0100

=== debian/control ===
Source: kxmlrpcclient
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kxmlrpcclient.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kxmlrpcclient.git

Package: libkf5xmlrpcclient-dev
Section: libdevel
Architecture: any
Depends: libkf5xmlrpcclient5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5xmlrpcclient-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.2.2-1)
Replaces: plasma-workspace (<= 4:5.2.2-1)
Description: data files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5xmlrpcclient5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing an xml rpc client library
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5xmlrpcclient-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kxmlrpcclient
 XML RPC client library.
 .
 This package contains the debug symbols.

## kxmlrpcclient 5.18.0

=== debian/changelog ===
kxmlrpcclient (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:25:50 +0100

kxmlrpcclient (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:20 +0100

kxmlrpcclient (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:43 +0200

kxmlrpcclient (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:51 +0100

kxmlrpcclient (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Removed private classes from exported symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:45 +0200

kxmlrpcclient (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 00:17:19 +0200

kxmlrpcclient (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kxmlrpcclient.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kxmlrpcclient.git

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,3 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5xmlrpcclient-dbg
-
-.PHONY: override_dh_auto_test

## kxmlrpcclient 5.26.0

=== debian/changelog ===
kxmlrpcclient (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:02:17 +0200

kxmlrpcclient (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:47:16 +0200

kxmlrpcclient (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 18:11:55 +0200

kxmlrpcclient (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 12:06:57 +0200

kxmlrpcclient (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:32 +0100

kxmlrpcclient (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:26 +0100

kxmlrpcclient (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.11.0).

  [ Jonathan Riddell ]
  * Remove 0001-add-LGPL-file.patch, applied upstream

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 10:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               kio-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kxmlrpcclient.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kxmlrpcclient.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlrpcclient.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlrpcclient.git
 
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
@@ -51,14 +51,3 @@
  XML RPC client library.
  .
  This package is part of KDE Frameworks 5.
-
-Package: libkf5xmlrpcclient-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5xmlrpcclient5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kxmlrpcclient
- XML RPC client library.
- .
- This package contains the debug symbols.

## kxmlrpcclient 5.27.0

=== debian/changelog ===
kxmlrpcclient (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:07:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.27.0~),
                kio-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.27.0~),
+               libkf5kio-dev (>= 5.27.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.8

## kxmlrpcclient 5.28.0

=== debian/changelog ===
kxmlrpcclient (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:06:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.27.0~),
+               extra-cmake-modules (>= 5.28.0~),
                kio-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.27.0~),
-               libkf5kio-dev (>= 5.27.0~),
+               libkf5i18n-dev (>= 5.28.0~),
+               libkf5kio-dev (>= 5.28.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.8

## kxmlrpcclient 5.31.0

=== debian/changelog ===
kxmlrpcclient (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:38 +0000

kxmlrpcclient (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:30 +0000

kxmlrpcclient (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:53 +0000

kxmlrpcclient (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:51:13 +0100

kxmlrpcclient (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:47:35 +0000

kxmlrpcclient (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:18:58 +0200

kxmlrpcclient (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:41:47 -0700

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               kio-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.28.0~),
-               libkf5kio-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlrpcclient.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kxmlrpcclient.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
 
 Package: libkf5xmlrpcclient-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5xmlrpcclient5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for kxmlrpcclient
  XML RPC client library.

## kxmlrpcclient 5.38.0

=== debian/changelog ===
kxmlrpcclient (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:31 +0100

kxmlrpcclient (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:55 +0100

kxmlrpcclient (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:27 +0100

kxmlrpcclient (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:57 +0100

kxmlrpcclient (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:51 +0100

kxmlrpcclient (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:07:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8

## kxmlrpcclient 5.44.0

=== src/CMakeLists.txt ===
set(kxmlrpcclient_SRCS
  client.cpp
  query.cpp
)

ecm_qt_declare_logging_category(kxmlrpcclient_SRCS HEADER kxmlrpcclient_debug.h IDENTIFIER KXMLRPCCLIENT_LOG CATEGORY_NAME org.kde.pim.kxmlrpcclient)

add_library(KF5XmlRpcClient ${kxmlrpcclient_SRCS})

generate_export_header(KF5XmlRpcClient BASE_NAME kxmlrpcclient)

add_library(KF5::XmlRpcClient ALIAS KF5XmlRpcClient)

target_include_directories(KF5XmlRpcClient INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient;${KF5_INCLUDE_INSTALL_DIR}/KXmlRpcClient/kxmlrpcclient>")

target_link_libraries(KF5XmlRpcClient 
PRIVATE
   KF5::KIOCore
   KF5::I18n
   Qt5::Xml
)

set_target_properties(KF5XmlRpcClient PROPERTIES
    VERSION ${KXMLRPCCLIENT_VERSION_STRING}
    SOVERSION ${KXMLRPCCLIENT_SOVERSION}
    EXPORT_NAME XmlRpcClient
)

ecm_generate_headers(KXmlRpcClient_CamelCase_HEADERS
  HEADER_NAMES
  Client
  PREFIX KXmlRpcClient
  REQUIRED_HEADERS KXmlRpcClient_HEADERS
)

install(TARGETS KF5XmlRpcClient EXPORT KF5XmlRpcClientTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_generate_pri_file(BASE_NAME KXmlRpcClient
    LIB_NAME KF5XmlRpcClient
    DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


install(FILES ${KXmlRpcClient_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient/KXmlRpcClient/)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_export.h
  ${KXmlRpcClient_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient/kxmlrpcclient/
  COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5XmlRpcClient_QCH
        NAME KXmlRpcClient
        BASE_NAME KF5XmlRpcClient
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KXmlRpcClient_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            KXMLRPCCLIENT_EXPORT
            KXMLRPCCLIENT_DEPRECATED
            KXMLRPCCLIENT_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kxmlrpcclient (5.44.0-0ubuntu1) bionic; urgency=medium

  * Install debug categories files
  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:34 +0000

kxmlrpcclient (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:01 +0000

kxmlrpcclient (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:23:26 +0000

kxmlrpcclient (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:08:35 -0600

kxmlrpcclient (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:08 +0000

=== debian/control ===
Source: kxmlrpcclient
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient

Package: libkf5xmlrpcclient-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.2.2-1)
Replaces: plasma-workspace (<= 4:5.2.2-1)
Description: data files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5xmlrpcclient-dev
Architecture: any
Section: libdevel
Depends: libkf5xmlrpcclient5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5xmlrpcclient5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing an xml rpc client library
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5xmlrpcclient-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kxmlrpcclient-([\d.]+)\.tar\.xz

## kxmlrpcclient 5.50.0

=== debian/changelog ===
kxmlrpcclient (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:46 +0100

kxmlrpcclient (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:40 +0100

kxmlrpcclient (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
    - keep /etc/xdg/* files installed by the -data package in strict compliance
      with Debian's policy section 8.1 "Shared library support files"

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:55 +0100

kxmlrpcclient (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:45 +0200

kxmlrpcclient (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:04 +0100

kxmlrpcclient (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:06 +0200

kxmlrpcclient (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:26 +0100

kxmlrpcclient (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:16 +0100

kxmlrpcclient (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:19 +0100

kxmlrpcclient (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:06 +0100

kxmlrpcclient (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:17 -0300

kxmlrpcclient (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:48:56 +0000

kxmlrpcclient (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:49 +0000

kxmlrpcclient (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:47:53 +0000

kxmlrpcclient (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:32:14 +0000

kxmlrpcclient (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:02 +0200

kxmlrpcclient (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5xmlrpcclient-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:44 +0200

kxmlrpcclient (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:18:36 +0000

kxmlrpcclient (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:34 +0200

kxmlrpcclient (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:15:24 +0000

kxmlrpcclient (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:38:04 +0000

kxmlrpcclient (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:40:29 +0000

kxmlrpcclient (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:26:14 +0000

kxmlrpcclient (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:23:53 +0000

kxmlrpcclient (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:41:38 +0000

kxmlrpcclient (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:44:02 +0000

kxmlrpcclient (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:09:27 +0000



=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
@@ -31,15 +35,29 @@
 Package: libkf5xmlrpcclient-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5xmlrpcclient5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+Depends: libkf5kio-dev (>= 5.50.0~),
+         libkf5xmlrpcclient5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends},
+Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
 Description: development files for kxmlrpcclient
  XML RPC client library.
  .
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
+
+Package: libkf5xmlrpcclient-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: framework providing an xml rpc client library (documentation)
+ XML RPC client library.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5xmlrpcclient5
 Architecture: any

## kxmlrpcclient 5.54.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.54.0") # handled by release scripts
set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
project(KXmlRpcClient VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.54.0 CONFIG )
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DTRANSLATION_DOMAIN=\"libkxmlrpcclient5\")
ecm_setup_version(PROJECT VARIABLE_PREFIX KXMLRPCCLIENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5I18n ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

########### Targets ###########
if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
     add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlRpcClient")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5XmlRpcClient_QCH
        FILE KF5XmlRpcClientQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5XmlRpcClientQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlRpcClientConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlRpcClientTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlRpcClientTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
  COMPONENT Devel
)

install(FILES kxmlrpcclient.categories kxmlrpcclient.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kxmlrpcclient (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:31 -0300

kxmlrpcclient (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:29 +0100

kxmlrpcclient (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:09 +0200

kxmlrpcclient (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5kio-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.54.0~),
+               libkf5kio-dev (>= 5.54.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
 
 Package: libkf5xmlrpcclient-data
 Architecture: all
@@ -33,9 +33,9 @@
  This package contains the data files.
 
 Package: libkf5xmlrpcclient-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libkf5kio-dev (>= 5.50.0~),
+Depends: libkf5kio-dev (>= 5.54.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},
@@ -50,7 +50,6 @@
 Package: libkf5xmlrpcclient-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: framework providing an xml rpc client library (documentation)
  XML RPC client library.
@@ -58,6 +57,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5xmlrpcclient5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5xmlrpcclient-dbg (<= 5.19.0-1~~)'

## kxmlrpcclient 5.56.0

=== debian/changelog ===
kxmlrpcclient (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:55 +0000

kxmlrpcclient (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:33:22 +0000

kxmlrpcclient (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:39 +0000

kxmlrpcclient (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:12 +0000

kxmlrpcclient (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
 
 Package: libkf5xmlrpcclient-data
 Architecture: all
@@ -33,9 +33,9 @@
  This package contains the data files.
 
 Package: libkf5xmlrpcclient-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5kio-dev (>= 5.54.0~),
+Depends: libkf5kio-dev (>= 5.55.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},
@@ -50,6 +50,7 @@
 Package: libkf5xmlrpcclient-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: framework providing an xml rpc client library (documentation)
  XML RPC client library.
@@ -57,7 +58,6 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5xmlrpcclient5
 Architecture: any
